## BtWavelevelListModel BtWavelevelListModel — data model class for widgets showing wavelevel of a wave |

## Functions

BtWavelevel * | bt_wavelevel_list_model_get_object ()
BtWavelevelListModel * | bt_wavelevel_list_model_new ()

## Types and Values

struct | BtWavelevelListModel

## Object Hierarchy

        GObject
        ╰── BtWavelevelListModel

## Implemented Interfaces

BtWavelevelListModel implements GtkTreeModel.

## Includes

    #include "bt-edit.h"

## Description

A generic model representing the wavelevels of a wave, suitable for combo-boxes and treeview widgets.

## Functions

### bt_wavelevel_list_model_get_object ()

    BtWavelevel *
    bt_wavelevel_list_model_get_object (BtWavelevelListModel *model,
                                        GtkTreeIter *iter);

Lookup a wavelevel.

#### Parameters

model | the model |
iter | the iter |

#### Returns

the BtWavelevel for the iter.

### bt_wavelevel_list_model_new ()

    BtWavelevelListModel *
    bt_wavelevel_list_model_new (BtWave *wave);

Creates a list model of wave-levels for the `wave` . The model is automatically updated when wave-levels are changed.

#### Parameters

wave | the wave |

#### Returns

the wave-level model.

## Types and Values

### struct BtWavelevelListModel

    struct BtWavelevelListModel;

Data model for GtkTreeView or GtkComboBox.